QuickHashIntSet::loadFromString
QuickHashIntSet::saveToString
QuickHashIntSet
PHP Manual

# QuickHashIntSet::saveToFile

This method stores an in-memory set to disk

### Description

public void QuickHashIntSet::saveToFile ( string `$filename` )

This method stores an existing set to a file on disk, in the same format that loadFromFile() can read.

### Parameters

`filename`

  The filename of the file to store the hash in.

### Return Values

No value is returned.

### Examples

Example #1 QuickHashIntSet::saveToFile example

`<?php
$set = new QuickHashIntSet( 1024 );
var_dump( $set->exists( 4 ) );
var_dump( $set->add( 4 ) );
var_dump( $set->exists( 4 ) );
var_dump( $set->add( 4 ) );
$set->saveToFile( '/tmp/test.set' );
?>`